=== debian/changelog ===
db (5.1.29-9) unstable; urgency=medium

  * Fix for FTBFS on ppc64el (Courtesy of Matthias Klose/Ubuntu)
    (Closes: #758627)
  * Update d/control to have correct Vcs-*: fields
  * Set Priority: optional for db5.1-util as we keep it only for
    upgrade purposes

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Aug 2014 14:48:59 +0200

db (5.1.29-8) unstable; urgency=low

  * Build only db5.1-util as a final phase of db5.1->db5.3 transition
  * Add Breaks/Provides libdb5.1 to db5.1-util

 -- Ondřej Surý <ondrej@debian.org>  Wed, 19 Feb 2014 15:43:04 +0100

db (5.1.29-7) unstable; urgency=low

  * Add myself to uploaders.
  
  Apply changes from Ubuntu packaging:
  * debian/patches/link-sql-libs: Add new patch to fix FTBFS due to
    missing -ldl link on libdb_sql-5.1.
  * Search for tcl in the multiarch location, conditionally.
  * Enable historic dbm interface. Thanks Wookey. (LP: #1126392)
  * Cross building fixes (LP: #1105368):
    - do not run tests when crossbuilding, when nocheck is enabled or stage1.
    - do not check db_signature in stage1 build.
    - comment that tcl:native is needed for cross-builds.
  * Really clean the build directory.
  * Use the autotools-dev dh addon, so that we update all the
    config.guess/config.sub copies rather than just the one in dist/.
  * Introduce a stage1 build to skip the java and the tcl bindings.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 15 Aug 2013 13:30:18 +0100

db (5.1.29-6) unstable; urgency=low

  * Ensure that backwards compatible Java bytecode is built (Closes: #688138)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 07 Jun 2013 10:27:02 +0200

db (5.1.29-5) unstable; urgency=low

  * Export JAVAC_FLAGS with -source 1.5 -target 1.5 (Closes: #678187)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Jun 2012 11:52:51 +0200

db (5.1.29-4) unstable; urgency=low

  * Remove M-A: foreign from libdb5.1-java, since it was wrong

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 May 2012 14:00:11 +0200

db (5.1.29-3) unstable; urgency=low

  * Reverse dependency between -java and -java-jni package to not break
    our reverse dependencies (Closes: #672463)
  * Suggests instead of Recommends for libdb5.1-java-gcj (Closes: #670664)
  * Explicitly depend on debhelper (>= 9) (Closes: #669991)
  * Fix binNMUability and bump standards to 3.9.3

 -- Ondřej Surý <ondrej@debian.org>  Fri, 18 May 2012 14:00:04 +0200

db (5.1.29-2) unstable; urgency=low

  * Split libdb5.1-java to arch independent libdb5.1-java and move JNI
    libraries to libdb5.1-java-jni (Closes: #670011)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 May 2012 10:10:08 +0200

db (5.1.29-1) unstable; urgency=low

  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
  * Update priority of db5.1-util and add missing description of
    db5.1_sql
  * Add git-buildpackage configuration
  * Imported Upstream version 5.1.29

 -- Ondřej Surý <ondrej@debian.org>  Mon, 05 Dec 2011 15:44:35 +0100

db (5.1.25-11) unstable; urgency=low

  * Disable libdb5.1-java-gcj on sh4 (Closes: #623980)
  * Add code to compare built-in signature to prevent future bugs
    like #625484
  * Print built-in signature to the build log
  * Update Vcs-* links
  * Apply MultiArch patch (Courtesy of Steve Langasek) (Closes: #631318)
  * Update db_signature linking to MultiArch libraries
  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
    + Only generate the signature if we don't have it (first pass)
  * Install build_signature_$(ARCH).txt to libdb5.1 package
    + This will allow to add all correct signatures in next upload

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2011 14:26:40 +0200
