## db 5.1.29-7ubuntu1+7.0trisquel1

=== debian/changelog ===
db (5.1.29-7ubuntu1+7.0trisquel1) belenos; urgency=medium

  * Update license to include GPL, fixes 5954

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 06 Feb 2014 23:06:42 +0100

db (5.1.29-7ubuntu1) trusty; urgency=medium

  * Update libtool.m4.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 18 Jan 2014 14:49:14 +0100
