## db mini

=== Makefile ===

EXEC = libdb_mini.a
OBJS = db_mini_open.o db_mini_close.o db_mini_get.o db_mini_put.o db_mini_del.o db_mini_truncate.o db_mini_create.o db_mini_strerror.o db_mini_version.o db_mini_lock.o

# macros and variables
RANLIB = $(CROSS)ranlib

all: $(EXEC)

#CFLAGS += -g
CFLAGS += -Wall -I.

#CFLAGS += -DCACHE_DEBUG

$(EXEC): $(OBJS)
	rm -f $(EXEC)
	$(CROSS)ar cr $(EXEC) $(OBJS)

romfs:


clean:
	rm -f $(EXEC) *.gdb *.elf *.o *.s *.i *~ *.lo
